package com.minlinuxserver.dao.impl;

import java.util.List;
import com.minlinuxserver.dao.LinkDao;
import com.minlinuxserver.domain.Link;
import com.minlinuxserver.domain.LinkHelper;

/**
 * @author Peter Lindblom
 * 
 */
public class LinkDaoImpl extends DaoAbstract implements LinkDao {

	private final static String GET_ALL_LINKS_ORDERED_BY_SORT_INDEX_ASC = "com.minlinuxserver.getAllLinksOrderedBySortIndexAsc";

	public boolean deleteLink(Link linkObj) {
		return delete(linkObj);
	}

	public List<Link> getAllLinks() {
		return LinkHelper
				.getTypeSafeListOfLinks(getListOfResultsFromNamedQuery(GET_ALL_LINKS_ORDERED_BY_SORT_INDEX_ASC));
	}

	public Link getLinkById(long id) {
		return (Link) getObjectById(Link.class.getName(), id);
	}

	public boolean saveLink(Link linkObj) {
		return saveOrUpdate(linkObj);
	}

}
