package com.minlinuxserver.dao.impl;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.Transaction;
import com.minlinuxserver.dao.MessageDao;
import com.minlinuxserver.domain.*;



/**
 * @author Peter Lindblom
 * 
 */
public class MessageDaoImpl extends DaoAbstract implements MessageDao {

	private final static String GET_ALL_MESSAGES_LATEST_FRIST = "com.minlinuxserver.getAllMessagesLatestFirst";
	
	public boolean deleteMessage(Message message) {
		return delete(message);
	}

	public List<Message> getAllMessages() {
		return MessageHelper
				.getTypeSafeListOfMessages(getListOfResultsFromNamedQuery(GET_ALL_MESSAGES_LATEST_FRIST));
	}

	public List<Message> getLatestMessage(int length) {
		return MessageHelper
				.getTypeSafeListOfMessages(getListOfResultsFromNamedQuery(
						GET_ALL_MESSAGES_LATEST_FRIST, length));
	}

	public Message getMessageById(long id) {
		return (Message) getObjectById(Message.class.getName(), id);
	}

	public boolean saveMessage(Message message) {
		Session session = getSession();
		Transaction tx = null;
		
		try {
			tx = session.beginTransaction();

			session.saveOrUpdate( message);			
			tx.commit();
			return true;

		} catch (Exception exception) {
			normalExceptionHandling(tx, exception);
		} finally {
			finalExceptionHandling(session);
		}
		return false;
		
	}
	
	public Message getTheLatestMessage() {
		List<Message> messages = getLatestMessage(1);

		if (messages.size() == 1) {
			return messages.get(0);
		}
		return null;
	}

}
