package com.minlinuxserver.servlet;

import java.io.IOException;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class BaseAdminServlet extends BaseServlet {
	private static final long serialVersionUID = 1L;
	private String unModifedServletPath;
	private String servletPath;

	public void init(ServletConfig config) throws ServletException {
		super.init(config);
		unModifedServletPath = config.getInitParameter("servletPath");
	}

	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		setServletPath(req.getContextPath() + unModifedServletPath);
		req.setAttribute("servletPath", getServletPath());
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		setServletPath(req.getContextPath() + unModifedServletPath);
		req.setAttribute("servletPath", getServletPath());
	}

	public String getServletPath() {
		return servletPath;
	}

	public void setServletPath(String servletPath) {
		this.servletPath = servletPath;
	}

}
