package com.minlinuxserver.servlet;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class BaseServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	private String viewJspPath;
	static Logger logger = LoggerFactory.getLogger(BaseServlet.class);

	public BaseServlet() {
		super();
	}

	public void init(ServletConfig config) throws ServletException {
		viewJspPath = config.getInitParameter("viewJspPath");
		logger.debug(viewJspPath);
		super.init(config);
	}

	protected void forward(HttpServletRequest req, HttpServletResponse resp,
			String path) throws ServletException, IOException {
		RequestDispatcher view = req.getRequestDispatcher(path);
		view.forward(req, resp);
	}

	protected void forward(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		forward(req, resp, viewJspPath);
	}

	public String getViewJspPath() {
		return viewJspPath;
	}

	public void setViewJspPath(String viewJspPath) {
		this.viewJspPath = viewJspPath;
	}

}
