package com.minlinuxserver.servlet;

import java.io.IOException;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.minlinuxserver.util.ExecuteNativeCommand;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Peter Lindblom
 * 
 */
public class ExecCommandServlet extends BaseServlet {

	static Logger logger = LoggerFactory.getLogger(ExecCommandServlet.class);
	private static final long serialVersionUID = 1L;
	private String command;

	public ExecCommandServlet() {
		super();
	}

	public void init(ServletConfig config) throws ServletException {
		super.init(config);
		command = config.getInitParameter("command");
		logger.debug("command:" + command);
	}

	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {

		try {
			logger.debug("command:" + command);
			String output = ExecuteNativeCommand.exec(command, "<br/>");
			req.setAttribute("output", output);
			logger.debug("output:" + output);
			forward(req, resp);
		} catch (Exception ex) {
			logger.error(ex.getMessage());
			req.setAttribute("errorMsg", ex.getMessage());
			forward(req, resp, "/error.jsp");
		}
	}
}
