package com.minlinuxserver.util;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Peter Lindblom
 * 
 */

public class ExecuteNativeCommand {
	private static Logger logger = LoggerFactory
			.getLogger(ExecuteNativeCommand.class);

	private static String IllegalArgumentExceptionMessage = "A command can not be null or empty";

	public static String exec(String command, String appendToEndOfEachRow)
			throws IOException, IllegalArgumentException {

		logger
				.debug("input exec(" + command + "," + appendToEndOfEachRow
						+ ")");

		if (notAValidCommand(command)) {
			logger.error("notAValidCommand==true input:" + command);
			throw new IllegalArgumentException(IllegalArgumentExceptionMessage);
		}

		StringBuilder commandOutput = new StringBuilder("");
		InputStream inputStream = Runtime.getRuntime().exec(command)
				.getInputStream();
		InputStreamReader inputStreamReader = new InputStreamReader(inputStream);
		BufferedReader bufferedReader = new BufferedReader(inputStreamReader);

		for (String row; (row = bufferedReader.readLine()) != null;) {
			commandOutput.append(row);
			if (appendToEndOfEachRow != null) {
				commandOutput.append(appendToEndOfEachRow);
			}
		}

		logger.debug("--------------------------------------------------");
		logger.debug("output exec(" + command + "," + appendToEndOfEachRow
				+ ")");
		logger.debug(commandOutput.toString());
		logger.debug("--------------------------------------------------");

		return commandOutput.toString();
	}

	private static boolean notAValidCommand(String command) {
		return (command == null || command.length() == 0);
	}

}
