package com.minlinuxserver.dao.impl;

import java.util.List;
import com.minlinuxserver.dao.LinkDao;
import com.minlinuxserver.domain.Link;
import junit.framework.TestCase;

public class TestLinkDaoImpl extends TestCase {

	LinkDao linkDao = new LinkDaoImpl();
	String testHref = "http://www.minlinuxserver.com";
	String testName = "minlinuxserver.com";
	long testSortIndex = 10L;
	
	public void testSaveLink(){
		Link link = new Link();
		link.setLinkSortIndex(testSortIndex);
		link.setLinkHref(testHref);
		link.setLinkName(testName);
		
		assertEquals(true, linkDao.saveLink(link));
	}
	
	public void testGetAllLinks() {
		
		List<Link> links = linkDao.getAllLinks(); 
		
		int count = 0;
		
		for(Link link : links){
			if(link instanceof Link){				
				assertNotNull(link.getId());				
				assertNotNull(link.getLinkHref());
				assertNotNull(link.getLinkName());
				count++;
			}
		}
		
		assertEquals(true, (count > 0) );
		
		
	}
	
	public void testGetLinkById(){
		Link tmpLink = null;
		List<Link> links = linkDao.getAllLinks(); 
		
		long lastId = 0L; 
		
		for(Link link : links){
			if(link instanceof Link){
				lastId = link.getId();
			}
		}
		
		tmpLink = linkDao.getLinkById(lastId);
		
		assertEquals(testHref, tmpLink.getLinkHref());
		assertEquals(testName, tmpLink.getLinkName());
		assertEquals(testSortIndex, tmpLink.getLinkSortIndex().longValue());
		
		assertNotNull(tmpLink);
	}
	
	public void deleteLink() {
		Link tmpLink = null;
		List<Link> links = linkDao.getAllLinks(); 
		
		for(Link link : links){
			if(link instanceof Link){
				tmpLink = link;
			}
		}		
		
		assertNotNull(tmpLink);
		assertEquals(true, linkDao.deleteLink(tmpLink));
		
	}
}
