package com.minlinuxserver.domain;

import java.util.Calendar;
import java.util.Date;
import java.util.Locale;

import junit.framework.TestCase;

public class TestMessage extends TestCase {

	Message message = null;
	
	protected void setUp() throws Exception {
		super.setUp();		
		message = MessageFactory.createUpTimeMessage();		
	}

	protected void tearDown() throws Exception {
		super.tearDown();		
		message = null;
	}
	
	public void testGetId() throws Exception {
		
		message.setId(1100L);
		
		long expected = 1100L;
		long actual = message.getId();
		
		assertEquals(true, (expected == actual));		
	}
	
	public void testGetDate() throws Exception {
		
		Calendar calendar = Calendar.getInstance(new Locale("sv_SE "));
		
		calendar.set(Calendar.YEAR, 1979);
		calendar.set(Calendar.MONTH, 2);
		calendar.set(Calendar.DAY_OF_MONTH, 28);
		calendar.set(Calendar.HOUR_OF_DAY, 7);
		calendar.set(Calendar.MINUTE, 0);
		
		Date testDate = calendar.getTime(); 
		
		Date compareWithDate = new Date(calendar.getTimeInMillis());
		
		message.setDate(testDate);
		
		assertNotNull(testDate);
		
		Date expected = compareWithDate;
		Date actual = message.getDate();
		
		assertEquals(true, expected.equals(actual));		
	}
	
	public void testGetMessage() throws Exception {
		
		String testString = "plweb.se as sdgd sdg g gdsg sdg  gs ";
		
		message.setMessage(testString);
		
		String expected = testString;
		String actual = message.getMessage();
				
		assertEquals(true, expected.equals(actual));	
	}
	
	public void testGetPreviousMessage() throws Exception {
		
		String test = "text";
		
		Message previousMessage = MessageFactory.createDownTimeMessage();
		previousMessage.setDate(new Date());
		previousMessage.setMessage(test);
		
		message.setPreviousMessage(previousMessage);
		
		assertNotNull(message.getPreviousMessage());
		
		assertEquals(test, message.getPreviousMessage().getMessage());
			
	}
	
	
	
}
