package com.minlinuxserver.util;

import java.io.IOException;
import junit.framework.TestCase;
import org.apache.log4j.Logger;


/**
 * @author Peter Lindblom
 *
 */

public class ExecuteNativeCommandTest extends TestCase {

    static Logger logger = Logger.getLogger(ExecuteNativeCommandTest.class);

	public void testExec() throws Exception {        
		String actual = ExecuteNativeCommand.exec("dir", "\n");
		assertNotNull(actual);
        logger.debug(actual);
		assertEquals(true, (actual.length() > 0) );
	}
		
	public void testExecIOException() throws Exception {		
		try {
			ExecuteNativeCommand.exec("command that do not exist", "\n");
			fail("Should throw a exception");
		}catch (Exception e) {
			assertTrue(e.getMessage(), e instanceof IOException);			
		}
	}
	
	public void testExecIllegalArgumentException() throws Exception {		
		try {
			ExecuteNativeCommand.exec(null, "\n");
			fail("Should throw a exception");
		}catch (Exception e) {
			assertTrue(e.getMessage(), e instanceof IllegalArgumentException);			
		}
	}
}
